Bug 131969

Summary: [WebKit2] Cleanup the build from unused parameter in UIProcess Module
Product: WebKit Reporter: Shivakumar J M <shiva.jm>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: alice.barraclough, bunhere, cdumez, commit-queue, gyuyoung.kim, ossy, sergio
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Fix unused parameter by using UNUSED_PARAM macro
none
Patch
ossy: review-, ossy: commit-queue-
Patch none

Description Shivakumar J M 2014-04-21 21:10:45 PDT
Found unused parameter in UIProcess Module during webkit-efl port build. These issue seems to be introduced by issue https://bugs.webkit.org/show_bug.cgi?id=131776, need to confirm with Alice once

/home/shiva.jm/webkit-git/svngit/WebKit/Source/WebKit2/UIProcess/WebFindClient.cpp:33:6: warning: unused parameter ‘matchIndex’ [-Wunused-parameter]
 void WebFindClient::didFindString(WebPageProxy* page, const String& string, uint32_t matchCount, int32_t matchIndex)
      ^
[ 88%] Building CXX object Source/WebKit2/CMakeFiles/WebKit2.dir/UIProcess/WebFramePolicyListenerProxy.cpp.o

[ 89%] Building CXX object Source/WebKit2/CMakeFiles/WebKit2.dir/UIProcess/API/C/WKPreferences.cpp.o
/home/shiva.jm/webkit-git/svngit/WebKit/Source/WebKit2/UIProcess/API/C/WKPage.cpp:709:22: warning: unused parameter ‘matchIndex’ [-Wunused-parameter]
         virtual void didFindString(WebPageProxy* page, const String& string, uint32_t matchCount, int32_t matchIndex) override
                      ^
[ 89%] Building CXX object Source/WebKit2/CMakeFiles/WebKit2.dir/UIProcess/API/C/WKProtectionSpace.cpp.o
Comment 1 Shivakumar J M 2014-05-05 22:27:30 PDT
Created attachment 230888 [details]
Fix unused parameter by using UNUSED_PARAM macro

Fix unused parameter by using UNUSED_PARAM macro
Comment 2 WebKit Commit Bot 2014-05-05 22:30:26 PDT
Attachment 230888 [details] did not pass style-queue:


ERROR: LayoutTests/ChangeLog:1:  ChangeLog entry has no bug number  [changelog/bugnumber] [5]
Total errors found: 1 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Shivakumar J M 2014-05-05 22:35:02 PDT
Comment on attachment 230888 [details]
Fix unused parameter by using UNUSED_PARAM macro

>Index: Source/WebKit2/ChangeLog
>===================================================================
>--- Source/WebKit2/ChangeLog	(revision 168348)
>+++ Source/WebKit2/ChangeLog	(working copy)
>@@ -1,3 +1,17 @@
>+2014-05-05  Shivakumar JM  <shiva.jm@samsung.com>
>+
>+        Cleanup the build from unused parameter in UIProcess Module
>+        https://bugs.webkit.org/show_bug.cgi?id=131969
>+
>+        Reviewed by NOBODY (OOPS!).
>+
>+        Fix unused parameter by using UNUSED_PARAM macro
>+
>+        * UIProcess/API/C/WKPage.cpp:
>+        (WKPageSetPageFindClient):
>+        * UIProcess/WebFindClient.cpp:
>+        (WebKit::WebFindClient::didFindString):
>+
> 2014-05-05  Jeremy Jones  <jeremyj@apple.com>
> 
>         Implement scan backward and forward in video fullscreen.
>Index: Source/WebKit2/UIProcess/WebFindClient.cpp
>===================================================================
>--- Source/WebKit2/UIProcess/WebFindClient.cpp	(revision 168348)
>+++ Source/WebKit2/UIProcess/WebFindClient.cpp	(working copy)
>@@ -32,6 +32,8 @@ namespace WebKit {
> 
> void WebFindClient::didFindString(WebPageProxy* page, const String& string, uint32_t matchCount, int32_t matchIndex)
> {
>+    UNUSED_PARAM(matchIndex);
>+
>     if (!m_client.didFindString)
>         return;
> 
>Index: Source/WebKit2/UIProcess/API/C/WKPage.cpp
>===================================================================
>--- Source/WebKit2/UIProcess/API/C/WKPage.cpp	(revision 168348)
>+++ Source/WebKit2/UIProcess/API/C/WKPage.cpp	(working copy)
>@@ -704,6 +704,8 @@ void WKPageSetPageFindClient(WKPageRef p
>     private:
>         virtual void didFindString(WebPageProxy* page, const String& string, uint32_t matchCount, int32_t matchIndex) override
>         {
>+            UNUSED_PARAM(matchIndex);
>+
>             if (!m_client.didFindString)
>                 return;
>             
>Index: LayoutTests/ChangeLog
>===================================================================
Comment 4 Shivakumar J M 2014-05-06 02:46:33 PDT
Created attachment 230895 [details]
Patch

Fix unused parameter by using UNUSED_PARAM macro, uploaded new patch again, since some problem was there in create patch for first time.
Comment 5 Csaba Osztrogonác 2014-05-06 03:40:25 PDT
Comment on attachment 230895 [details]
Patch

In WebKit style we prefer omitting the name of the argument to UNUSED_PARAM.
Comment 6 Shivakumar J M 2014-05-06 04:01:34 PDT
Created attachment 230896 [details]
Patch

Fixed unused parameter by omitting the parameter name, updated the patch with review comments
Comment 7 WebKit Commit Bot 2014-05-07 03:40:17 PDT
Comment on attachment 230896 [details]
Patch

Clearing flags on attachment: 230896

Committed r168419: <http://trac.webkit.org/changeset/168419>
Comment 8 WebKit Commit Bot 2014-05-07 03:40:22 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Shivakumar J M 2014-05-14 22:52:27 PDT
Bug is fixed, tested in version 168886.
Comment 10 Csaba Osztrogonác 2014-06-04 02:53:58 PDT
Please don't change resolved/fixed state of the bugs.
See https://bugs.webkit.org/show_bug.cgi?id=133062#c7 for details.